#
# spec file for package sound-theme-freedesktop
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sound-theme-freedesktop
Version:        0.8
Release:        9.16
# For details on the licenses used, see CREDITS.
Summary:        freedesktop.org sound theme
License:        GPL-2.0-or-later
Group:          System/Libraries
URL:            http://0pointer.de/public/sound-theme-freedesktop.tar.gz
Source0:        http://people.freedesktop.org/~mccann/dist/%{name}-%{version}.tar.bz2
# COPYING in the tarball is a 0-byte file
Source1:        gpl-2.0.txt
BuildRequires:  fdupes
BuildRequires:  glib2-devel
BuildRequires:  intltool
Requires(post): /bin/touch
Requires(postun): /bin/touch
BuildArch:      noarch

%description
The default freedesktop.org sound theme following the XDG theming
specification.	(http://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q
if [ ! -s COPYING ]; then
  cp %{SOURCE1} COPYING
fi

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}%{_datadir}

%post
/bin/touch --no-create %{_datadir}/sounds/freedesktop

%postun
/bin/touch --no-create %{_datadir}/sounds/freedesktop

%files
%doc README
%dir %{_datadir}/sounds/freedesktop
%dir %{_datadir}/sounds/freedesktop/stereo
%{_datadir}/sounds/freedesktop/index.theme
%{_datadir}/sounds/freedesktop/stereo/*.oga

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Jul  4 2013 dimstar@opensuse.org
- Add gpl-2.0.txt as source: COPYING inside the tarball is a 0-byte
  file (bnc#820488).
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 0.8:
  + Change default bell sound.
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 0.7:
  + Add sounds: clock alarm
  + Rename sounds: old alarm to incoming call
  + Improve sounds: dialog, camera shutter, volume change
  + Remove sounds: desktop login/logout, battery full, battery low,
    dialog-ok, dialog-cancel, click-like sounds, many window
    sounds, menu click, email sound, menu sounds, desktop switch
  + Rename files from .ogg to .oga
* Fri Aug 28 2009 vuntz@novell.com
- Update to version 0.6:
  + add system ready/shutdown sounds
  + replace button-toggle-on and button-toggle-off by a single
    sound button-toggle
  + create duplicate sounds as symlinks
  + add a bunch of new sounds
  + make complete-media-burn more genericly usable as complete
* Thu Aug 27 2009 dimstar@opensuse.org
- Update to version 0.5:
  + add window-unmaximize/window-unminimize
  + add desktop-switch-left and desktop-switch-right
  + add audio-volume-change
* Sun Aug 23 2009 dimstar@opensuse.org
- Update to version 0.4:
  + Add screen-capture as a copy of camera-shutter
- Use fdupes to make package smaller.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 0.3:
  + Add one sound.
- Do not call autoreconf.
* Thu Nov 13 2008 rodrigo@novell.com
- Update to version 0.2:
  + Added some missing sounds
* Thu Aug 28 2008 rodrigo@suse.de
- First version of package, based on Fedora package
